Bug 249653 - Do a User switching without correct password
Do a User switching without correct password
Product: Fedora
Classification: Fedora
Component: gdm (Show other bugs)
All Linux
urgent Severity urgent
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
: Reopened
Depends On:
  Show dependency treegraph
Reported: 2007-07-26 03:12 EDT by Miao ZhiCheng
Modified: 2008-06-16 21:58 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-06-16 21:58:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Miao ZhiCheng 2007-07-26 03:12:39 EDT
Description of problem:
By using gnome's user switcher applet to switch user, one can switch another
user's account without knowing his password.

Version-Release number of selected component (if applicable):

How reproducible:
Requires system-config-users installed.
Steps to Reproduce:
1. Log into a user called A
2. use system-config-users to create a fresh user called B
3. Add "User Switcher" applet to your gnome panel
4. Click "User Swicher" applet to try switching to B
5. You get a gdm screen now.
Now, be quick, click user A, input A's password, and enter, 
gdm inform that password is incorrect. Now if user B is not selected by
gdm, you can click on user B, and you can log in! But if B is selected by
gdm, you would repeat this step again. I found there's an 80% possibility 
 of success here.

Expected results:
You can not log into another user without his password.
Comment 1 Miao ZhiCheng 2007-07-26 03:16:48 EDT
Additional :
I just found I even not to input correctly A's password.
Comment 2 Bug Zapper 2008-05-14 09:40:28 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2008-06-16 21:58:00 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.